id: wordpress-duplicate-post

info:
  name: Yoast Duplicate Post Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/duplicate-post/
  metadata:
    plugin_namespace: duplicate-post
    wpscan: https://wpscan.com/plugin/duplicate-post
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/duplicate-post/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/duplicate-post.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022009d533f6386acf9b37075d8089163e81d091451ea266d8b4a7cfc952878ca8210221008d85870f0632c0df6f759ac6f241dac7d29fe46b2258fe44c866dc3119f9a476:922c64590222798bb761d5b6d8e72950